Bug 534872 - (RHQ-1626) need new mica icons and they need to be reordered
need new mica icons and they need to be reordered
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 03:17 EST by John Mazzitelli
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-02-21 03:17:00 EST
we need better mica icons - preferably graphical, not just letters.

need to order the mica icons so they appear in the same order as their tabs are laid out.
Comment 1 John Mazzitelli 2009-02-21 04:18:10 EST
svn rev 3124 checks in some purdy MICA icons. Still some things left to do:

1) get the mica icon order to match the left-to-right order of the tabs themselves
2) why is the "E" icon showing up when resources do not support them? I was getting errors when I clicked on the "E" icon for resources that did not support events, but the icons still showed (this is nothing that I touched, I just uploaded new images).
3) get the mica icons to show up to the left of the tab names - I commented out a piece of code in TabRenderer - I don't know how to render these so the icon is to the left of the name (they kept showing up at the top of the name). Look for "/* TODO: FIGURE OUT HOW TO PUT THE IMAGE TO THE LEFT OF THE TAB NAME" in the code.
Comment 2 John Mazzitelli 2009-02-21 04:20:05 EST
* if we're going to change the tab order, then you need to change
concrete subclasses of QuicknavDecorator for the MICA icons in resource
and resourceGroup contexts 
Comment 3 John Mazzitelli 2009-02-21 11:09:24 EST
svn rev 3128 - fix the quicknav decorators and a couple view pages that use onc:icon so the ordering now matches the new order of the tabs
Comment 4 John Mazzitelli 2009-02-24 13:46:15 EST
mica icons have been referbished (not sure if these will be the final ones but, good enough). the resource tabs show the mica icons too.
Comment 5 Jeff Weiss 2009-03-06 13:18:35 EST
Icons match order of tabs, tabs contain same icons.  rev3238
Comment 6 Red Hat Bugzilla 2009-11-10 15:37:00 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1626
This bug is related to RHQ-1625

Note You need to log in before you can comment on or make changes to this bug.